Bug 8132 - при отсутствии пользователей в системе make_aliases не работает
: при отсутствии пользователей в системе make_aliases не работает
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/sendmail-common)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-10-04 17:57 by
Modified: 2006-12-15 18:16 (History)


Attachments
патч разрешающий эту проблему (628 bytes, patch)
2005-10-04 17:59, Vadim Gusev
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-10-04 17:57:06
Если в системе не заведено ни одного пользователя, то make_aliases не 
работает, конкретнее "egrep -v" на пустоту завершает скрипт.
------- Comment #1 From 2005-10-04 17:59:00 -------
Created an attachment (id=1162) [details]
патч разрешающий эту проблему

Патч, решающий проблему. Может быть следует слегка подправить.
------- Comment #2 From 2005-10-05 18:05:20 -------
Подтверждаю. Именно у меня это и выяснилось при использовании vserver. Вполне
возможно, что есть еще масса подобных подводных камней (т.к. в vserver-ах не
всегда используется весь "стандартный" минимальный набор пакетов или
производятся какие-то "стандартные" действия при настройке/установке)
------- Comment #3 From 2006-09-03 02:19:22 -------
Fixed in 1.4-alt1